Переполнение буфера в Asterisk

Дата публикации:
12.10.2007
Всего просмотров:
1994
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Asterisk 1.x
Уязвимые версии: Asterisk версии до 1.4.13

Описание:
Уязвимость позволяет удаленному пользователю вызвать отказ в обслуживании приложения или выполнить произвольный код на целевой системе.

Уязвимость существует из-за ошибки проверки границ данных в коде IMAP для обработки голосовых сообщений. Удаленный пользователь может по email отправить специально сформированное голосовое сообщение, содержащее слишком длинную комбинацию (более 1024 символов) заголовков Content-Type и Content-Description, вызвать переполнение буфера и выполнить произвольный код на целевой системе. Для успешной эксплуатации уязвимости пользователь должен прослушать голосовое сообщение с помощью телефона.

URL производителя: www.asterisk.org

Решение: Установите последнюю версию 1.4.13 с сайта производителя.

downloads.digium.com/pub/asterisk/releases/asterisk-1.4.13.tar.gz

или введите имя

CAPTCHA